"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractError = exports.showErrorMessage = exports.showError = exports.HEIGHT = exports.WIDTH = exports.IS_IOS = void 0;
var react_native_1 = require("react-native");
var react_native_flash_message_1 = require("react-native-flash-message");
exports.IS_IOS = react_native_1.Platform.OS === 'ios';
var _a = react_native_1.Dimensions.get('screen'), width = _a.width, height = _a.height;
exports.WIDTH = width;
exports.HEIGHT = height;
// for onError react queries and mutations
var showError = function (error) {
    var _a, _b;
    console.log(JSON.stringify((_a = error === null || error === void 0 ? void 0 : error.response) === null || _a === void 0 ? void 0 : _a.data));
    var description = (0, exports.extractError)((_b = error === null || error === void 0 ? void 0 : error.response) === null || _b === void 0 ? void 0 : _b.data).trimEnd();
    (0, react_native_flash_message_1.showMessage)({
        message: 'Error',
        description: description,
        type: 'danger',
        duration: 4000,
        icon: 'danger',
    });
};
exports.showError = showError;
var showErrorMessage = function (message) {
    if (message === void 0) { message = 'Something went wrong '; }
    (0, react_native_flash_message_1.showMessage)({
        message: message,
        type: 'danger',
        duration: 4000,
    });
};
exports.showErrorMessage = showErrorMessage;
var extractError = function (data) {
    if (typeof data === 'string') {
        return data;
    }
    if (Array.isArray(data)) {
        var messages = data.map(function (item) {
            return "  ".concat((0, exports.extractError)(item));
        });
        return "".concat(messages.join(''));
    }
    if (typeof data === 'object' && data !== null) {
        var messages = Object.entries(data).map(function (item) {
            var key = item[0], value = item[1];
            var separator = Array.isArray(value) ? ':\n ' : ': ';
            return "- ".concat(key).concat(separator).concat((0, exports.extractError)(value), " \n ");
        });
        return "".concat(messages.join(''), " ");
    }
    return 'Something went wrong ';
};
exports.extractError = extractError;
//# sourceMappingURL=utils.js.map