"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getColor = void 0;
var ui_1 = require("../components/ui");
var colors_1 = __importDefault(require("tailwindcss/colors"));
var getColor = function (colorValue) {
    var _a;
    if (colorValue.startsWith('#') || colorValue.startsWith('rgb')) {
        return colorValue;
    }
    var paths = colorValue.split('-');
    if (paths.length > 2) {
        var result = ui_1.colors;
        for (var _i = 0, paths_1 = paths; _i < paths_1.length; _i++) {
            var path = paths_1[_i];
            // @ts-ignore
            result = result[path];
            if (!result)
                break;
        }
        if (result)
            return result;
    }
    var _b = colorValue.split('-'), category = _b[0], shade = _b[1];
    // @ts-ignore
    if (ui_1.colors[category] && ui_1.colors[category][shade]) {
        // @ts-ignore
        return ui_1.colors[category][shade];
    }
    // @ts-ignore
    if ((_a = colors_1.default[category]) === null || _a === void 0 ? void 0 : _a[shade]) {
        // @ts-ignore
        return colors_1.default[category][shade];
    }
    // @ts-ignore
    if (ui_1.colors[colorValue]) {
        // @ts-ignore
        return ui_1.colors[colorValue];
    }
    return colorValue;
};
exports.getColor = getColor;
//# sourceMappingURL=style-utils.js.map